List the customer activity leaderboard report
GET
/cms/analytics/customers
const url = 'https://api.example.com/cms/analytics/customers?segment=0&platform=0&page=1&limit=50&sort=nb_actions&direction=asc&export=1';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.example.com/cms/analytics/customers?segment=0&platform=0&page=1&limit=50&sort=nb_actions&direction=asc&export=1' \ --header 'API-Key: <API-Key>'Returns a paginated list of user activity, sorted by actions by default. Add export=1 to instead receive a CSV download.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”date_from
string format: date
date_to
string format: date
segment
integer
platform
integer
clientId
integer
Restrict results to visitor/user IDs belonging to this client.
page
integer
limit
integer
sort
string
direction
string
export
string
Set to 1 to receive a CSV download instead of JSON
Responses
Section titled “Responses”Customer activity rows, or a CSV file if export=1
Invalid date range
Admin authorization required
Insufficient permissions